<?php

if (class_exists('Search'))
{
	$Search = new Search();
	
	$words = to_str($_GET['text']);
	
	$property = array();
	
	/* Текущая страница */
	$property['current_page']=to_int($_GET['page']);
	
	/* Количество строк результата на страницу */
	$property['items_on_page'] = to_int($GLOBALS['LA']['result_on_page']);
	
	/* Максимальная длина поискового запроса */
	$property['len'] = to_int($GLOBALS['LA']['maxlen']);
	
	/* Если поиск только по текущему сайту */
	if (to_bool($GLOBALS['LA']['SearchCurrentSite']))
	{
		$property['site_id'] = CURRENT_SITE;
	}
	
	$Search->GoSearch($words, to_str($GLOBALS['LA']['xsl']), $property);
}
else
{
	?>
	<h1>Поиск</h1>
	<p>Функционал недоступен, приобретите более старшую редакцию.</p>
	<p>Модуль &laquo;<a href="http://www.hostcms.ru/hostcms/modules/search/">Поиск по сайту</a>&raquo; доступен в редакциях &laquo;<a href="http://www.hostcms.ru/hostcms/editions/corporation/">Корпорация</a>&raquo;, &laquo;<a href="http://www.hostcms.ru/hostcms/editions/business/">Бизнес</a>&raquo;, &laquo;<a href="http://www.hostcms.ru/hostcms/editions/small-business/">Малый бизнес</a>&raquo; и &laquo;<a href="http://www.hostcms.ru/hostcms/editions/my-site/">Мой сайт</a>&raquo;.</p> 
	<?php
}
?>